com.sun.mail.util

## Class MessageRemovedIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.sun.mail.util.MessageRemovedIOException

- All Implemented Interfaces:
    Serializable

      public class MessageRemovedIOException
      extends IOException

  A variant of MessageRemovedException that can be thrown from methods that only throw IOException. The getContent method will catch this exception and translate it back to MessageRemovedException.
  Author:
    Bill Shannon
  See Also:
    `Message.isExpunged()`, `Message.getMessageNumber()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageRemovedIOException()` Constructs a MessageRemovedIOException with no detail message.
    `MessageRemovedIOException(String s)` Constructs a MessageRemovedIOException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageRemovedIOException

          public MessageRemovedIOException()

      Constructs a MessageRemovedIOException with no detail message.

    - #### MessageRemovedIOException

          public MessageRemovedIOException(String s)

      Constructs a MessageRemovedIOException with the specified detail message.
      Parameters:
        `s` - the detail message

Copyright © 2016 Oracle. All rights reserved.